{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <div class="active section">{{ristorante.nome}}</div>
    </div>
  </div>

  <div class="ui internally celled grid">
    <div class="row">
      <div class="one wide column">
        <a id="sidebar-icon" class="view-ui item top left" style="cursor: pointer">
          <i class="sidebar icon"></i>
        </a>
      </div>
      <div class="twelve wide column">
        <h2 class="ui header">{{ristorante.nome}}</h2>
      </div>
    </div>
  </div>

  <div class="ui divider"></div>

  {% set found = false %}
  {% set countPrenotazioni = 0 %}
  {% set countOrdini = 0 %}

  {% for giorno in ristorante.giorniApertura %}
    {% if giorno.giorno == "now"|date("d/m/Y") %}
      {% set found = true %}
      <div class="ui icon positive message">
        <i class="check circle icon"></i>
        <div class="content">
          <div class="header">
            Oggi il ristorante sarà <strong>aperto!</strong><br/>
          </div>
          <div class="ui divider"></div>
          {% if giorno.orarioAperturaPranzo != null %}
            - <strong>Orario pranzo:</strong> dalle ore <strong>{{giorno.orarioAperturaPranzo|date("H:i")}}</strong> fino alle ore <strong>{{giorno.orarioChiusuraPranzo|date("H:i")}}</strong>.<br />
          {% endif %}
          {% if giorno.orarioAperturaCena != null %}
            - <strong>Orario cena:</strong> dalle ore <strong>{{giorno.orarioAperturaCena|date("H:i")}}</strong> fino alle ore <strong>{{giorno.orarioChiusuraCena|date("H:i")}}</strong>.
          {% endif %}
        </div>
      </div>
    {% endif %}
  {% endfor %}

  {% if found == false %}
    <div class="ui icon negative message">
      <i class="remove circle icon"></i>
      <div class="content">
        <div class="header">
          Oggi il ristorante rimarrà chiuso!
        </div>
      </div>
    </div>
  {% endif %}

  <div class="ui divider" style="margin-bottom: 40px"></div>

  <div class="ui grid" style="margin: 0; padding: 0">
    <div class="six wide column" style="padding-right: 0">
      <table class="ui celled table">
        <thead>
          <tr>
            <th colspan="5" style="text-align: center">
              <h8 class="ui header">
                <i class="checked calendar icon"></i>
                <div class="content">
                  Prenotazioni
                </div>
              </h8>
            </th>
          </tr>
          <tr>
            <th>Data</th>
            <th>Ore</th>
            <th>Persone</th>
            <th>Tavolo</th>
            <th>Cliente</th>
          </tr>
        </thead>
        <tbody>

          {% for prenotazione in prenotazioni %}
            <tr>
              <td>{{prenotazione.data|date("d/m/Y")}}</td>
              <td>{{prenotazione.orario|date("H:i")}}</td>
              <td>{{prenotazione.persone}}</td>
              <td>#{{prenotazione.numeroTavolo}}</td>
              <td>{{prenotazione.nome}}</td>
            </tr>
            {% set countPrenotazioni = countPrenotazioni + 1 %}
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
            <th colspan="4">
              Prenotazioni pendenti:
            </th>
            <th style="text-align: center">
              <strong>{{countPrenotazioni}}</strong>
            </th>
          </tr>
        </tfoot>
      </table>
    </div>
    <div class="ten wide column" style="padding-right: 0">
      <table class="ui celled table">
        <thead>
          <tr>
            <th colspan="6" style="text-align: center">
              <h8 class="ui header">
                <i class="shopping bag icon"></i>
                <div class="content">
                  Ordini di oggi
                </div>
              </h8>
            </th>
          </tr>
          <tr>
            <th>Ora</th>
            <th>Indirizzo</th>
            <th>Città</th>
            <th>Cliente</th>
            <th>Incasso</th>
            <th nowrap>
              <i class="ui setting icon"></i>
            </th>
          </tr>
        </thead>
        <tbody>
          {% for ordine in ristorante.ordini %}
            {% if ordine.dataEffettuazione|date("d/m/Y") == "now"|date("d/m/Y") %}
              <tr>
                <td>{{ordine.oraConsegna|date("H:i")}}</td>
                <td>{{ordine.indirizzoConsegna}}</td>
                <td>{{ordine.cittaConsegna}}</td>
                <td>{{ordine.cliente.nome}}</td>
                <td>{{ordine.prezzoTotale}}</td>
                <td>
                  {% if ordine.consegnato == false %}
                    <a href="{{path('admin_ristorante_ordine_conferma', { 'o_id': ordine.codOrdine, 'r_id': ristorante.id})}}">
                      <div class="ui animated blue button" tabindex="0">
                        <div class="visible content">Ordine consegnato?</div>
                        <div class="hidden content">
                          Conferma!
                        </div>
                      </div>
                    </a>
                    {% set countOrdini = countOrdini + 1 %}
                  {% else %}
                    <div class="ui green label">
                      <i class="checkbox icon"></i> Consegnato!
                    </div>
                  {% endif %}
                </td>
              </tr>
            {% endif %}
          {% endfor %}
        </tbody>
        <tfoot>
          <tr>
            <th colspan="5">
              Ordini pendenti:
            </th>
            <th style="text-align: center">
              <strong>{{countOrdini}}</strong>
            </th>
          </tr>
        </tfoot>
      </table>
    </div>
  </div>

  {% block javascripts %}
  {% endblock %}

{% endblock %}
